Date: 2011-01-14

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mpi
Class MPI

    java.lang.Object
      mpi.MPI

    public class MPI

extends java.lang.Object

Field Summary
`static int` | `ANY_SOURCE`
`static int` | `ANY_TAG`
`static Op` | `BAND`
`static Datatype` | `BOOLEAN`
`static Op` | `BOR`
`static int` | `BSEND_OVERHEAD` Overhead incurred by buffered send.
`static Op` | `BXOR`
`static Datatype` | `BYTE`
`static int` | `CART`
`static Datatype` | `CHAR`
`static Comm` | `COMM_NULL`
`static Comm` | `COMM_SELF`
`static Intracomm` | `COMM_WORLD`
`static int` | `CONGRUENT`
`static boolean` | `DEBUG`
`static Datatype` | `DOUBLE`
`static Datatype` | `DOUBLE2`
`static Status` | `EMPTY_STATUS`
`static Errhandler` | `ERRORS_ARE_FATAL`
`static Errhandler` | `ERRORS_RETURN`
`static Datatype` | `FLOAT`
`static Datatype` | `FLOAT2`
`static int` | `GRAPH`
`static Group` | `GROUP_EMPTY`
`static Group` | `GROUP_NULL`
`static int` | `HOST`
`static int` | `IDENT`
`static Datatype` | `INT`
`static Datatype` | `INT2`
`static int` | `IO`
`static Op` | `LAND`
`static Datatype` | `LB`
`static Datatype` | `LONG`
`static Datatype` | `LONG2`
`static Op` | `LOR`
`static Op` | `LXOR`
`static Op` | `MAX`
`static Op` | `MAXLOC`
`static Op` | `MIN`
`static Op` | `MINLOC`
`static Datatype` | `NULL`
`static int` | `NUM_OF_PROCESSORS`
`static Datatype` | `OBJECT`
`static Datatype` | `PACKED`
`static int` | `PROC_NULL`
`static Op` | `PROD`
`static int` | `RECV_OVERHEAD` These should be accessed after calling MPI.Init()
`static Request` | `REQUEST_NULL`
`static int` | `SEND_OVERHEAD` These should be accessed after calling MPI.Init()
`static Datatype` | `SHORT`
`static Datatype` | `SHORT2` Its actually not good to call the following basic datatypes because they are not ...
`static int` | `SIMILAR`
`static Op` | `SUM`
`static int` | `TAG_UB`
`static int` | `THREAD_FUNNELED`
`static int` | `THREAD_MULTIPLE`
`static int` | `THREAD_SERIALIZED`
`static int` | `THREAD_SINGLE`
`static Datatype` | `UB`
`static int` | `UNDEFINED`
`static int` | `UNEQUAL`

Constructor Summary
`MPI()`

Method Summary
`static void` | `Buffer_attach(java.nio.ByteBuffer userBuffer)` Provides to MPI a buffer in user's memory to be used for buffering outgoing messages.
`static void` | `Buffer_detach()` Detach the buffer currently associated with MPI.
`static Errhandler` | `Errorhandler_get()` Gets the error handler Not Implemented in the current release
`static void` | `Errorhandler_set(Errhandler errhandler)` Set Error Handler Not Implemented in the current release
`static void` | `Finalize()` Finalize MPI.
`static java.lang.String` | `Get_processor_name()` Returns the name of the processor on which it is called.
`static java.lang.String[]` | `Init(java.lang.String[] argv)` Initialize MPI.
`static boolean` | `Initialized()` Test if MPI has been initialized.
`static java.lang.String[]` | `initThread(int required, int provided, java.lang.String[] argv)` Used to initialize MPI with certain level of threadedness ...
`static boolean` | `isMainThread()` Returns true if this thread initialized MPI
`static int` | `queryThread()` Returns the level of thread support provided by the MPI library and the underlying device selected
`static double` | `Wtick()` Returns resolution of timer.
`static double` | `Wtime()` Returns wallclock time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

See Also:
  Constant Field Values

### COMM_WORLD

    public static Intracomm COMM_WORLD

### NUM_OF_PROCESSORS

    public static final int NUM_OF_PROCESSORS

### UNDEFINED

    public static int UNDEFINED

### NULL

    public static Datatype NULL

### BYTE

    public static Datatype BYTE

### CHAR

    public static Datatype CHAR

### SHORT

    public static Datatype SHORT

### BOOLEAN

    public static Datatype BOOLEAN

### INT

    public static Datatype INT

### LONG

    public static Datatype LONG

### FLOAT

    public static Datatype FLOAT

### DOUBLE

    public static Datatype DOUBLE

### PACKED

    public static Datatype PACKED

### LB

    public static Datatype LB

### UB

    public static Datatype UB

### OBJECT

    public static Datatype OBJECT

### THREAD_SINGLE

    public static int THREAD_SINGLE

### THREAD_FUNNELED

    public static int THREAD_FUNNELED

### THREAD_SERIALIZED

    public static int THREAD_SERIALIZED

### THREAD_MULTIPLE

    public static int THREAD_MULTIPLE

### SHORT2

    public static Datatype SHORT2

  Its actually not good to call the following basic datatypes because they are not ... this will be changed to sometyhing else ...need to think about it

### INT2

    public static Datatype INT2

### LONG2

    public static Datatype LONG2

### FLOAT2

    public static Datatype FLOAT2

### DOUBLE2

    public static Datatype DOUBLE2

### MAX

    public static Op MAX

### MIN

    public static Op MIN

### SUM

    public static Op SUM

### PROD

    public static Op PROD

### LAND

    public static Op LAND

### BAND

    public static Op BAND

### LOR

    public static Op LOR

### BOR

    public static Op BOR

### LXOR

    public static Op LXOR

### BXOR

    public static Op BXOR

### MAXLOC

    public static Op MAXLOC

### MINLOC

    public static Op MINLOC

### ANY_SOURCE

    public static int ANY_SOURCE

### ANY_TAG

    public static int ANY_TAG

### EMPTY_STATUS

    public static Status EMPTY_STATUS

### PROC_NULL

    public static int PROC_NULL

### BSEND_OVERHEAD

    public static int BSEND_OVERHEAD

  Overhead incurred by buffered send. This variable should be accessed after calling #Init(String[] args) method.

### SEND_OVERHEAD

    public static int SEND_OVERHEAD

  These should be accessed after calling MPI.Init()

### RECV_OVERHEAD

    public static int RECV_OVERHEAD

  These should be accessed after calling MPI.Init()

### GROUP_EMPTY

    public static Group GROUP_EMPTY

### COMM_SELF

    public static Comm COMM_SELF

### IDENT

    public static final int IDENT

See Also:
  Constant Field Values

### CONGRUENT

    public static final int CONGRUENT

See Also:
  Constant Field Values

### SIMILAR

    public static final int SIMILAR

See Also:
  Constant Field Values

### UNEQUAL

    public static final int UNEQUAL

See Also:
  Constant Field Values

### GRAPH

    public static int GRAPH

### CART

    public static int CART

### ERRORS_ARE_FATAL

    public static Errhandler ERRORS_ARE_FATAL

### ERRORS_RETURN

    public static Errhandler ERRORS_RETURN

### TAG_UB

    public static int TAG_UB

### HOST

    public static int HOST

### IO

    public static int IO

### REQUEST_NULL

    public static Request REQUEST_NULL

### COMM_NULL

    public static Comm COMM_NULL

### GROUP_NULL

    public static Group GROUP_NULL

Constructor Detail

### MPI

    public MPI()

Method Detail

### Buffer_attach

    public static void Buffer_attach(java.nio.ByteBuffer userBuffer)
                              throws MPIException

  Provides to MPI a buffer in user's memory to be used for buffering outgoing messages. Java binding of the MPI operation `MPI_BUFFER_ATTACH`.

  Throws:
    `MPIException`

### Buffer_detach

    public static void Buffer_detach()
                              throws MPIException

  Detach the buffer currently associated with MPI. Java binding of the MPI operation `MPI_BUFFER_DETACH`.

  Throws:
    `MPIException`

### initThread

    public static java.lang.String[] initThread(int required,
                                                int provided,
                                                java.lang.String[] argv)

  Used to initialize MPI with certain level of threadedness ...

### isMainThread

    public static boolean isMainThread()

  Returns true if this thread initialized MPI

### queryThread

    public static int queryThread()

  Returns the level of thread support provided by the MPI library and the underlying device selected

### Init

    public static java.lang.String[] Init(java.lang.String[] argv)
                                   throws MPIException

  Initialize MPI.

  `args` | arguments to `main` method.

  Java binding of the MPI operation `MPI_INIT`.

  Throws:
    `MPIException`

### Finalize

    public static void Finalize()
                         throws MPIException

  Finalize MPI.

  Java binding of the MPI operation `MPI_FINALIZE`.

  Throws:
    `MPIException`

### Get_processor_name

    public static java.lang.String Get_processor_name()
                                               throws MPIException

  Returns the name of the processor on which it is called.

  returns: | A unique specifier for the actual node.

  Java binding of the MPI operation `MPI_GET_PROCESSOR_NAME`.

  Throws:
    `MPIException`

### Errorhandler_set

    public static void Errorhandler_set(Errhandler errhandler)
                                 throws MPIException

  Set Error Handler Not Implemented in the current release

  Throws:
    `MPIException`

### Errorhandler_get

    public static Errhandler Errorhandler_get()
                                       throws MPIException

  Gets the error handler Not Implemented in the current release

  Throws:
    `MPIException`

### Wtime

    public static double Wtime()
                        throws MPIException

  Returns wallclock time.

  returns: | elapsed wallclock time in seconds since some time in the past

  Java binding of the MPI operation `MPI_WTIME`.

  Throws:
    `MPIException`

### Wtick

    public static double Wtick()
                        throws MPIException

  Returns resolution of timer.

  returns: | resolution of `wtime` in seconds.

  Java binding of the MPI operation `MPI_WTICK`.

  Throws:
    `MPIException`

### Initialized

    public static boolean Initialized()
                               throws MPIException

  Test if MPI has been initialized.

  returns: | `true` if `Init` has been called, `false` otherwise.

  Java binding of the MPI operation `MPI_INITIALIZED`.

  Throws:
    `MPIException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD